<template>
  <div class="notification-panel">
    <h2>Succesfully signed up !</h2>
    <p>We have sent you a confirmation link to :</p>
    <p class="mail-adress">{{ email }}</p>
    <p>You will now be redirected to login page...</p>
  </div>
</template>

<script>
export default {
  name: "SubscribeNotification",
  props: ['email'],
  mounted: function() {
    setTimeout(() => {
      this.$router.push('/login');
    }, 5000);
  }
};
</script>

<style>
.notification-panel {
  width: 500px;
  height: 200px;
  margin: auto;
  margin-top: 200px;
  padding: 50px;
  border: 1px solid lightgray;
  border-radius: 10px;
}

.notification-panel * {
  text-align: center;
}

button {
  margin-top: 40px;
}

.mail-adress {
  font-size: 22px;
  font-weight: bold;
  margin-bottom: 30px;
}
</style>